#include <stdio.h>
#include <stdlib.h>
#include <string.h>
#include <time.h>
#include <sys/time.h>
#include <new>
#include <unistd.h>

#include "PafeeStdAllocator.h"
#include "PafeeStdStreamOutput.h"
#include "PafeeFastFixedAllocator.h"
#include "PafeeFlexibleAllocator.h"
#include "PafeeLockedAllocator.h"
#include "PafeeComboAllocator.h"

using namespace Pafee;


//---------------------------------------------
//	main 
//---------------------------------------------
int main(int argc, char* argv[])
{
	printf("\n======== FastFixedAllocator::UnitTest() ========\n");
	FastFixedAllocator::UnitTest();
	printf("Done,\n");

	printf("\n======== FlexibleAllocator::UnitTest() ========\n");
	FlexibleAllocator::UnitTest();
	printf("Done,\n");
}


