#include <stdio.h>
#include <string.h>
#include "pafee_stdlib.h"

void pafee_stdlib_testA(
	void
);

void pafee_stdlib_test(
	void
);

static void PrintPointer(
	char *pointer
);

int main(int argc, char* argv[])
{
	pafee_stdlib_test();
	pafee_stdlib_testA();
	printf("Hello World!\n");
	return 0;
}

void pafee_stdlib_testA(
	void
)
{
	char *pointer;

	/* atoi */
	printf("pafee_atoi [0]:%ld\n", pafee_atoi("0"));
	printf("pafee_atoi [123456]:%ld\n", pafee_atoi("123456"));
	printf("pafee_atoi [-123456]:%ld\n", pafee_atoi("-123456"));
	printf("pafee_atoi [  123456]:%ld\n", pafee_atoi("  123456"));
	printf("pafee_atoi [  123456abc]:%ld\n", pafee_atoi("  123456abc"));
	printf("pafee_atoi [  123456789abc]:%ld\n", pafee_atoi("  123456789abc"));
	printf("pafee_atoi [  -123456789abc]:%ld\n", pafee_atoi("  -123456789abc"));
	printf("pafee_atoi [  1234567890123456abc]:%ld\n", pafee_atoi("  1234567890123456abc"));
	printf("pafee_atoi [  -1234567890123456abc]:%ld\n", pafee_atoi("  -1234567890123456abc"));

	/* atol */
	printf("pafee_atol [0]:%ld\n", pafee_atol("0"));
	printf("pafee_atol [123456]:%ld\n", pafee_atol("123456"));
	printf("pafee_atol [-123456]:%ld\n", pafee_atol("-123456"));
	printf("pafee_atol [  123456]:%ld\n", pafee_atol("  123456"));
	printf("pafee_atol [  123456abc]:%ld\n", pafee_atol("  123456abc"));
	printf("pafee_atol [  123456789abc]:%ld\n", pafee_atol("  123456789abc"));
	printf("pafee_atol [  -123456789abc]:%ld\n", pafee_atol("  -123456789abc"));
	printf("pafee_atol [  1234567890123456abc]:%ld\n", pafee_atol("  1234567890123456abc"));
	printf("pafee_atol [  -1234567890123456abc]:%ld\n", pafee_atol("  -1234567890123456abc"));

	/* strtol */
	printf("base = 10\n");
	printf("pafee_strtol [0]:%ld\n", pafee_strtol("0", &pointer, 10));
	PrintPointer(pointer);
	printf("pafee_strtol [123456]:%ld\n", pafee_strtol("123456", &pointer, 10));
	PrintPointer(pointer);
	printf("pafee_strtol [-123456]:%ld\n", pafee_strtol("-123456", &pointer, 10));
	PrintPointer(pointer);
	printf("pafee_strtol [  123456]:%ld\n", pafee_strtol("  123456", &pointer, 10));
	PrintPointer(pointer);
	printf("pafee_strtol [  123456abc]:%ld\n", pafee_strtol("  123456abc", &pointer, 10));
	PrintPointer(pointer);
	printf("pafee_strtol [  123456789abc]:%ld\n", pafee_strtol("  123456789abc", &pointer, 10));
	PrintPointer(pointer);
	printf("pafee_strtol [  -123456789abc]:%ld\n", pafee_strtol("  -123456789abc", &pointer, 10));
	PrintPointer(pointer);
	printf("pafee_strtol [  1234567890123456abc]:%ld\n", pafee_strtol("  1234567890123456abc", &pointer, 10));
	PrintPointer(pointer);
	printf("pafee_strtol [  -1234567890123456abc]:%ld\n", pafee_strtol("  -1234567890123456abc", &pointer, 10));
	PrintPointer(pointer);
	printf("pafee_strtol [0123456789]:%ld\n", pafee_strtol("0123456789", &pointer, 10));
	PrintPointer(pointer);
	printf("pafee_strtol [-0123456789]:%ld\n", pafee_strtol("-0123456789", &pointer, 10));
	PrintPointer(pointer);
	printf("pafee_strtol [0x123456789]:%ld\n", pafee_strtol("0x123456789", &pointer, 10));
	PrintPointer(pointer);
	printf("pafee_strtol [-0X123456789]:%ld\n", pafee_strtol("-0x123456789", &pointer, 10));
	PrintPointer(pointer);
	printf("base = 0\n");
	printf("pafee_strtol [123456]:%ld\n", pafee_strtol("123456", &pointer, 0));
	PrintPointer(pointer);
	printf("pafee_strtol [-123456]:%ld\n", pafee_strtol("-123456", &pointer, 0));
	PrintPointer(pointer);
	printf("pafee_strtol [0123456]:%ld\n", pafee_strtol("0123456", &pointer, 0));
	PrintPointer(pointer);
	printf("pafee_strtol [-0123456]:%ld\n", pafee_strtol("-0123456", &pointer, 0));
	PrintPointer(pointer);
	printf("pafee_strtol [0X123456]:%ld\n", pafee_strtol("0x123456", &pointer, 0));
	PrintPointer(pointer);
	printf("pafee_strtol [-0x123456]:%ld\n", pafee_strtol("-0x123456", &pointer, 0));
	PrintPointer(pointer);
	printf("base = 8\n");
	printf("pafee_strtol [123456]:%ld\n", pafee_strtol("123456", &pointer, 8));
	PrintPointer(pointer);
	printf("pafee_strtol [-123456]:%ld\n", pafee_strtol("-123456", &pointer, 8));
	PrintPointer(pointer);
	printf("pafee_strtol [0123456]:%ld\n", pafee_strtol("0123456", &pointer, 8));
	PrintPointer(pointer);
	printf("pafee_strtol [-0123456]:%ld\n", pafee_strtol("-0123456", &pointer, 8));
	PrintPointer(pointer);
	printf("pafee_strtol [0x123456]:%ld\n", pafee_strtol("0x123456", &pointer, 8));
	PrintPointer(pointer);
	printf("pafee_strtol [-0X123456]:%ld\n", pafee_strtol("-0x123456", &pointer, 8));
	PrintPointer(pointer);
	printf("base = 16\n");
	printf("pafee_strtol [123456]:%ld\n", pafee_strtol("123456", &pointer, 16));
	PrintPointer(pointer);
	printf("pafee_strtol [-123456]:%ld\n", pafee_strtol("-123456", &pointer, 16));
	PrintPointer(pointer);
	printf("pafee_strtol [0123456]:%ld\n", pafee_strtol("0123456", &pointer, 16));
	PrintPointer(pointer);
	printf("pafee_strtol [-0123456]:%ld\n", pafee_strtol("-0123456", &pointer, 16));
	PrintPointer(pointer);
	printf("pafee_strtol [0x123456]:%ld\n", pafee_strtol("0x123456", &pointer, 16));
	PrintPointer(pointer);
	printf("pafee_strtol [-0X123456]:%ld\n", pafee_strtol("-0x123456", &pointer, 16));
	PrintPointer(pointer);
	printf("pafee_strtol [0x80000000]:%ld\n", pafee_strtol("0x80000000", &pointer, 16));
	PrintPointer(pointer);
	printf("pafee_strtol [-0x80000000]:%ld\n", pafee_strtol("-0x80000000", &pointer, 16));
	PrintPointer(pointer);
	printf("pafee_strtol [0X81000000]:%ld\n", pafee_strtol("0x81000000", &pointer, 16));
	PrintPointer(pointer);
	printf("pafee_strtol [-0x81000000]:%ld\n", pafee_strtol("-0x81000000", &pointer, 16));
	PrintPointer(pointer);
	printf("base = other\n");
	printf("pafee_strtol [52]:35:%ld\n", pafee_strtol("52", &pointer, 35));
	PrintPointer(pointer);
	printf("pafee_strtol [-18]:36:%ld\n", pafee_strtol("-18", &pointer, 36));
	PrintPointer(pointer);
	printf("pafee_strtol [123456789]:1:%ld\n", pafee_strtol("123456789", &pointer, 1));
	PrintPointer(pointer);
	printf("pafee_strtol [1]:37:%ld\n", pafee_strtol("1", &pointer, 37));
	PrintPointer(pointer);

	/* strtoul */
	printf("base = 10\n");
	printf("pafee_strtoul [0]:%ld\n", pafee_strtoul("0", &pointer, 10));
	PrintPointer(pointer);
	printf("pafee_strtoul [123456]:%ld\n", pafee_strtoul("123456", &pointer, 10));
	PrintPointer(pointer);
	printf("pafee_strtoul [-123456]:%ld\n", pafee_strtoul("-123456", &pointer, 10));
	PrintPointer(pointer);
	printf("pafee_strtoul [  123456]:%ld\n", pafee_strtoul("  123456", &pointer, 10));
	PrintPointer(pointer);
	printf("pafee_strtoul [  123456abc]:%ld\n", pafee_strtoul("  123456abc", &pointer, 10));
	PrintPointer(pointer);
	printf("pafee_strtoul [  123456789abc]:%ld\n", pafee_strtoul("  123456789abc", &pointer, 10));
	PrintPointer(pointer);
	printf("pafee_strtoul [  -123456789abc]:%ld\n", pafee_strtoul("  -123456789abc", &pointer, 10));
	PrintPointer(pointer);
	printf("pafee_strtoul [  1234567890123456abc]:%ld\n", pafee_strtoul("  1234567890123456abc", &pointer, 10));
	PrintPointer(pointer);
	printf("pafee_strtoul [  -1234567890123456abc]:%ld\n", pafee_strtoul("  -1234567890123456abc", &pointer, 10));
	PrintPointer(pointer);
	printf("pafee_strtoul [0123456789]:%ld\n", pafee_strtoul("0123456789", &pointer, 10));
	PrintPointer(pointer);
	printf("pafee_strtoul [-0123456789]:%ld\n", pafee_strtoul("-0123456789", &pointer, 10));
	PrintPointer(pointer);
	printf("pafee_strtoul [0x123456789]:%ld\n", pafee_strtoul("0x123456789", &pointer, 10));
	PrintPointer(pointer);
	printf("pafee_strtoul [-0X123456789]:%ld\n", pafee_strtoul("-0x123456789", &pointer, 10));
	PrintPointer(pointer);
	printf("base = 0\n");
	printf("pafee_strtoul [123456]:%ld\n", pafee_strtoul("123456", &pointer, 0));
	PrintPointer(pointer);
	printf("pafee_strtoul [-123456]:%ld\n", pafee_strtoul("-123456", &pointer, 0));
	PrintPointer(pointer);
	printf("pafee_strtoul [0123456]:%ld\n", pafee_strtoul("0123456", &pointer, 0));
	PrintPointer(pointer);
	printf("pafee_strtoul [-0123456]:%ld\n", pafee_strtoul("-0123456", &pointer, 0));
	PrintPointer(pointer);
	printf("pafee_strtoul [0X123456]:%ld\n", pafee_strtoul("0x123456", &pointer, 0));
	PrintPointer(pointer);
	printf("pafee_strtoul [-0x123456]:%ld\n", pafee_strtoul("-0x123456", &pointer, 0));
	PrintPointer(pointer);
	printf("base = 8\n");
	printf("pafee_strtoul [123456]:%ld\n", pafee_strtoul("123456", &pointer, 8));
	PrintPointer(pointer);
	printf("pafee_strtoul [-123456]:%ld\n", pafee_strtoul("-123456", &pointer, 8));
	PrintPointer(pointer);
	printf("pafee_strtoul [0123456]:%ld\n", pafee_strtoul("0123456", &pointer, 8));
	PrintPointer(pointer);
	printf("pafee_strtoul [-0123456]:%ld\n", pafee_strtoul("-0123456", &pointer, 8));
	PrintPointer(pointer);
	printf("pafee_strtoul [0x123456]:%ld\n", pafee_strtoul("0x123456", &pointer, 8));
	PrintPointer(pointer);
	printf("pafee_strtoul [-0X123456]:%ld\n", pafee_strtoul("-0x123456", &pointer, 8));
	PrintPointer(pointer);
	printf("base = 16\n");
	printf("pafee_strtoul [123456]:%ld\n", pafee_strtoul("123456", &pointer, 16));
	PrintPointer(pointer);
	printf("pafee_strtoul [-123456]:%ld\n", pafee_strtoul("-123456", &pointer, 16));
	PrintPointer(pointer);
	printf("pafee_strtoul [0123456]:%ld\n", pafee_strtoul("0123456", &pointer, 16));
	PrintPointer(pointer);
	printf("pafee_strtoul [-0123456]:%ld\n", pafee_strtoul("-0123456", &pointer, 16));
	PrintPointer(pointer);
	printf("pafee_strtoul [0X123456]:%ld\n", pafee_strtoul("0x123456", &pointer, 16));
	PrintPointer(pointer);
	printf("pafee_strtoul [-0x123456]:%ld\n", pafee_strtoul("-0x123456", &pointer, 16));
	PrintPointer(pointer);
	printf("pafee_strtoul [0x80000000]:%ld\n", pafee_strtoul("0x80000000", &pointer, 16));
	PrintPointer(pointer);
	printf("pafee_strtoul [-0x80000000]:%ld\n", pafee_strtoul("-0x80000000", &pointer, 16));
	PrintPointer(pointer);
	printf("pafee_strtoul [0x81000000]:%ld\n", pafee_strtoul("0x81000000", &pointer, 16));
	PrintPointer(pointer);
	printf("pafee_strtoul [-0X81000000]:%ld\n", pafee_strtoul("-0x81000000", &pointer, 16));
	PrintPointer(pointer);
	printf("pafee_strtoul [-0x800000000abc]:%ld\n", pafee_strtoul("-0x800000000abc", &pointer, 16));
	PrintPointer(pointer);
	printf("base = other\n");
	printf("pafee_strtoul [52]:35:%ld\n", pafee_strtoul("52", &pointer, 35));
	PrintPointer(pointer);
	printf("pafee_strtoul [-18]:36:%ld\n", pafee_strtoul("-18", &pointer, 36));
	PrintPointer(pointer);
	printf("pafee_strtoul [123456789]:1:%ld\n", pafee_strtoul("123456789", &pointer, 1));
	PrintPointer(pointer);
	printf("pafee_strtoul [1]:37:%ld\n", pafee_strtoul("1", &pointer, 37));
	PrintPointer(pointer);

}


void pafee_stdlib_test(
	void
)
{
#if 1
	char *pointer;

	/* atoi */
	printf("atoi [123456]:%ld\n", atoi("123456"));
	printf("atoi [-123456]:%ld\n", atoi("-123456"));
	printf("atoi [  123456]:%ld\n", atoi("  123456"));
	printf("atoi [  123456abc]:%ld\n", atoi("  123456abc"));
	printf("atoi [  123456789abc]:%ld\n", atoi("  123456789abc"));
	printf("atoi [  -123456789abc]:%ld\n", atoi("  -123456789abc"));
	printf("atoi [  1234567890123456abc]:%ld\n", atoi("  1234567890123456abc"));
	printf("atoi [  -1234567890123456abc]:%ld\n", atoi("  -1234567890123456abc"));

	printf("pafee_atoi [123456]:%ld\n", pafee_atoi("123456"));
	printf("pafee_atoi [-123456]:%ld\n", pafee_atoi("-123456"));
	printf("pafee_atoi [  123456]:%ld\n", pafee_atoi("  123456"));
	printf("pafee_atoi [  123456abc]:%ld\n", pafee_atoi("  123456abc"));
	printf("pafee_atoi [  123456789abc]:%ld\n", pafee_atoi("  123456789abc"));
	printf("pafee_atoi [  -123456789abc]:%ld\n", pafee_atoi("  -123456789abc"));
	printf("pafee_atoi [  1234567890123456abc]:%ld\n", pafee_atoi("  1234567890123456abc"));
	printf("pafee_atoi [  -1234567890123456abc]:%ld\n", pafee_atoi("  -1234567890123456abc"));

	/* atol */
	printf("atol [123456]:%ld\n", atol("123456"));
	printf("atol [-123456]:%ld\n", atol("-123456"));
	printf("atol [  123456]:%ld\n", atol("  123456"));
	printf("atol [  123456abc]:%ld\n", atol("  123456abc"));
	printf("atol [  123456789abc]:%ld\n", atol("  123456789abc"));
	printf("atol [  -123456789abc]:%ld\n", atol("  -123456789abc"));
	printf("atol [  1234567890123456abc]:%ld\n", atol("  1234567890123456abc"));
	printf("atol [  -1234567890123456abc]:%ld\n", atol("  -1234567890123456abc"));

	printf("pafee_atol [123456]:%ld\n", pafee_atol("123456"));
	printf("pafee_atol [  123456]:%ld\n", pafee_atol("  123456"));
	printf("pafee_atol [  123456abc]:%ld\n", pafee_atol("  123456abc"));
	printf("pafee_atol [  123456789abc]:%ld\n", pafee_atol("  123456789abc"));
	printf("pafee_atol [  -123456789abc]:%ld\n", pafee_atol("  -123456789abc"));
	printf("pafee_atol [  1234567890123456abc]:%ld\n", pafee_atol("  1234567890123456abc"));
	printf("pafee_atol [  -1234567890123456abc]:%ld\n", pafee_atol("  -1234567890123456abc"));

	/* strtol */
	printf("base = 10\n");
	printf("strtol [123456]:%ld\n", strtol("123456", &pointer, 10));
	PrintPointer(pointer);
	printf("strtol [-123456]:%ld\n", strtol("-123456", &pointer, 10));
	PrintPointer(pointer);
	printf("strtol [  123456]:%ld\n", strtol("  123456", &pointer, 10));
	PrintPointer(pointer);
	printf("strtol [  123456abc]:%ld\n", strtol("  123456abc", &pointer, 10));
	PrintPointer(pointer);
	printf("strtol [  123456789abc]:%ld\n", strtol("  123456789abc", &pointer, 10));
	PrintPointer(pointer);
	printf("strtol [  -123456789abc]:%ld\n", strtol("  -123456789abc", &pointer, 10));
	PrintPointer(pointer);
	printf("strtol [  1234567890123456abc]:%ld\n", strtol("  1234568790123456abc", &pointer, 10));
	PrintPointer(pointer);
	printf("strtol [  -1234567890123456abc]:%ld\n", strtol("  -1234567890123456abc", &pointer, 10));
	PrintPointer(pointer);
	printf("strtol [0123456789]:%ld\n", strtol("0123456789", &pointer, 10));
	PrintPointer(pointer);
	printf("strtol [-0123456789]:%ld\n", strtol("-0123456789", &pointer, 10));
	PrintPointer(pointer);
	printf("strtol [0x123456789]:%ld\n", strtol("0x123456789", &pointer, 10));
	PrintPointer(pointer);
	printf("strtol [-0x123456789]:%ld\n", strtol("-0x123456789", &pointer, 10));
	PrintPointer(pointer);
	printf("base = 0\n");
	printf("strtol [123456]:%ld\n", strtol("123456", &pointer, 0));
	PrintPointer(pointer);
	printf("strtol [-123456]:%ld\n", strtol("-123456", &pointer, 0));
	PrintPointer(pointer);
	printf("strtol [0123456]:%ld\n", strtol("0123456", &pointer, 0));
	PrintPointer(pointer);
	printf("strtol [-0123456]:%ld\n", strtol("-0123456", &pointer, 0));
	PrintPointer(pointer);
	printf("strtol [0x123456]:%ld\n", strtol("0x123456", &pointer, 0));
	PrintPointer(pointer);
	printf("strtol [-0x123456]:%ld\n", strtol("-0x123456", &pointer, 0));
	PrintPointer(pointer);
	printf("base = 8\n");
	printf("strtol [123456]:%ld\n", strtol("123456", &pointer, 8));
	PrintPointer(pointer);
	printf("strtol [-123456]:%ld\n", strtol("-123456", &pointer, 8));
	PrintPointer(pointer);
	printf("strtol [0123456]:%ld\n", strtol("0123456", &pointer, 8));
	PrintPointer(pointer);
	printf("strtol [-0123456]:%ld\n", strtol("-0123456", &pointer, 8));
	PrintPointer(pointer);
	printf("strtol [0x123456]:%ld\n", strtol("0x123456", &pointer, 8));
	PrintPointer(pointer);
	printf("strtol [-0x123456]:%ld\n", strtol("-0x123456", &pointer, 8));
	PrintPointer(pointer);
	printf("base = 16\n");
	printf("strtol [123456]:%ld\n", strtol("123456", &pointer, 16));
	PrintPointer(pointer);
	printf("strtol [-123456]:%ld\n", strtol("-123456", &pointer, 16));
	PrintPointer(pointer);
	printf("strtol [0123456]:%ld\n", strtol("0123456", &pointer, 16));
	PrintPointer(pointer);
	printf("strtol [-0123456]:%ld\n", strtol("-0123456", &pointer, 16));
	PrintPointer(pointer);
	printf("strtol [0x123456]:%ld\n", strtol("0x123456", &pointer, 16));
	PrintPointer(pointer);
	printf("strtol [-0x123456]:%ld\n", strtol("-0x123456", &pointer, 16));
	PrintPointer(pointer);
	printf("strtol [0x80000000]:%ld\n", strtol("0x80000000", &pointer, 16));
	PrintPointer(pointer);
	printf("strtol [-0x80000000]:%ld\n", strtol("-0x80000000", &pointer, 16));
	PrintPointer(pointer);
	printf("strtol [0x81000000]:%ld\n", strtol("0x81000000", &pointer, 16));
	PrintPointer(pointer);
	printf("strtol [-0x81000000]:%ld\n", strtol("-0x81000000", &pointer, 16));
	PrintPointer(pointer);

	printf("base = 10\n");
	printf("pafee_strtol [123456]:%ld\n", pafee_strtol("123456", &pointer, 10));
	PrintPointer(pointer);
	printf("pafee_strtol [  123456]:%ld\n", pafee_strtol("  123456", &pointer, 10));
	PrintPointer(pointer);
	printf("pafee_strtol [  123456abc]:%ld\n", pafee_strtol("  123456abc", &pointer, 10));
	PrintPointer(pointer);
	printf("pafee_strtol [  123456789abc]:%ld\n", pafee_strtol("  123456789abc", &pointer, 10));
	PrintPointer(pointer);
	printf("pafee_strtol [  -123456789abc]:%ld\n", pafee_strtol("  -123456789abc", &pointer, 10));
	PrintPointer(pointer);
	printf("pafee_strtol [  1234567890123456abc]:%ld\n", pafee_strtol("  1234567890123456abc", &pointer, 10));
	PrintPointer(pointer);
	printf("pafee_strtol [  -1234567890123456abc]:%ld\n", pafee_strtol("  -1234567890123456abc", &pointer, 10));
	PrintPointer(pointer);
	printf("pafee_strtol [0123456789]:%ld\n", pafee_strtol("0123456789", &pointer, 10));
	PrintPointer(pointer);
	printf("pafee_strtol [-0123456789]:%ld\n", pafee_strtol("-0123456789", &pointer, 10));
	PrintPointer(pointer);
	printf("pafee_strtol [0x123456789]:%ld\n", pafee_strtol("0x123456789", &pointer, 10));
	PrintPointer(pointer);
	printf("pafee_strtol [-0x123456789]:%ld\n", pafee_strtol("-0x123456789", &pointer, 10));
	PrintPointer(pointer);
	printf("base = 0\n");
	printf("pafee_strtol [123456]:%ld\n", pafee_strtol("123456", &pointer, 0));
	PrintPointer(pointer);
	printf("pafee_strtol [-123456]:%ld\n", pafee_strtol("-123456", &pointer, 0));
	PrintPointer(pointer);
	printf("pafee_strtol [0123456]:%ld\n", pafee_strtol("0123456", &pointer, 0));
	PrintPointer(pointer);
	printf("pafee_strtol [-0123456]:%ld\n", pafee_strtol("-0123456", &pointer, 0));
	PrintPointer(pointer);
	printf("pafee_strtol [0x123456]:%ld\n", pafee_strtol("0x123456", &pointer, 0));
	PrintPointer(pointer);
	printf("pafee_strtol [-0x123456]:%ld\n", pafee_strtol("-0x123456", &pointer, 0));
	PrintPointer(pointer);
	printf("base = 8\n");
	printf("pafee_strtol [123456]:%ld\n", pafee_strtol("123456", &pointer, 8));
	PrintPointer(pointer);
	printf("pafee_strtol [-123456]:%ld\n", pafee_strtol("-123456", &pointer, 8));
	PrintPointer(pointer);
	printf("pafee_strtol [0123456]:%ld\n", pafee_strtol("0123456", &pointer, 8));
	PrintPointer(pointer);
	printf("pafee_strtol [-0123456]:%ld\n", pafee_strtol("-0123456", &pointer, 8));
	PrintPointer(pointer);
	printf("pafee_strtol [0x123456]:%ld\n", pafee_strtol("0x123456", &pointer, 8));
	PrintPointer(pointer);
	printf("pafee_strtol [-0x123456]:%ld\n", pafee_strtol("-0x123456", &pointer, 8));
	PrintPointer(pointer);
	printf("base = 16\n");
	printf("pafee_strtol [123456]:%ld\n", pafee_strtol("123456", &pointer, 16));
	PrintPointer(pointer);
	printf("pafee_strtol [-123456]:%ld\n", pafee_strtol("-123456", &pointer, 16));
	PrintPointer(pointer);
	printf("pafee_strtol [0123456]:%ld\n", pafee_strtol("0123456", &pointer, 16));
	PrintPointer(pointer);
	printf("pafee_strtol [-0123456]:%ld\n", pafee_strtol("-0123456", &pointer, 16));
	PrintPointer(pointer);
	printf("pafee_strtol [0x123456]:%ld\n", pafee_strtol("0x123456", &pointer, 16));
	PrintPointer(pointer);
	printf("pafee_strtol [-0x123456]:%ld\n", pafee_strtol("-0x123456", &pointer, 16));
	PrintPointer(pointer);
	printf("pafee_strtol [0x80000000]:%ld\n", pafee_strtol("0x80000000", &pointer, 16));
	PrintPointer(pointer);
	printf("pafee_strtol [-0x80000000]:%ld\n", pafee_strtol("-0x80000000", &pointer, 16));
	PrintPointer(pointer);
	printf("pafee_strtol [0x81000000]:%ld\n", pafee_strtol("0x81000000", &pointer, 16));
	PrintPointer(pointer);
	printf("pafee_strtol [-0x81000000]:%ld\n", pafee_strtol("-0x81000000", &pointer, 16));
	PrintPointer(pointer);

	/* strtoul */
	printf("base = 10\n");
	printf("strtoul [123456]:%ld\n", strtoul("123456", &pointer, 10));
	PrintPointer(pointer);
	printf("strtoul [-123456]:%ld\n", strtoul("-123456", &pointer, 10));
	PrintPointer(pointer);
	printf("strtoul [  123456]:%ld\n", strtoul("  123456", &pointer, 10));
	PrintPointer(pointer);
	printf("strtoul [  123456abc]:%ld\n", strtoul("  123456abc", &pointer, 10));
	PrintPointer(pointer);
	printf("strtoul [  123456789abc]:%ld\n", strtoul("  123456789abc", &pointer, 10));
	PrintPointer(pointer);
	printf("strtoul [  -123456789abc]:%ld\n", strtoul("  -123456789abc", &pointer, 10));
	PrintPointer(pointer);
	printf("strtoul [  1234567890123456abc]:%ld\n", strtoul("  1234568790123456abc", &pointer, 10));
	PrintPointer(pointer);
	printf("strtoul [  -1234567890123456abc]:%ld\n", strtoul("  -1234567890123456abc", &pointer, 10));
	PrintPointer(pointer);
	printf("strtoul [0123456789]:%ld\n", strtoul("0123456789", &pointer, 10));
	PrintPointer(pointer);
	printf("strtoul [-0123456789]:%ld\n", strtoul("-0123456789", &pointer, 10));
	PrintPointer(pointer);
	printf("strtoul [0x123456789]:%ld\n", strtoul("0x123456789", &pointer, 10));
	PrintPointer(pointer);
	printf("strtoul [-0x123456789]:%ld\n", strtoul("-0x123456789", &pointer, 10));
	PrintPointer(pointer);
	printf("base = 0\n");
	printf("strtoul [123456]:%ld\n", strtoul("123456", &pointer, 0));
	PrintPointer(pointer);
	printf("strtoul [-123456]:%ld\n", strtoul("-123456", &pointer, 0));
	PrintPointer(pointer);
	printf("strtoul [0123456]:%ld\n", strtoul("0123456", &pointer, 0));
	PrintPointer(pointer);
	printf("strtoul [-0123456]:%ld\n", strtoul("-0123456", &pointer, 0));
	PrintPointer(pointer);
	printf("strtoul [0x123456]:%ld\n", strtoul("0x123456", &pointer, 0));
	PrintPointer(pointer);
	printf("strtoul [-0x123456]:%ld\n", strtoul("-0x123456", &pointer, 0));
	PrintPointer(pointer);
	printf("base = 8\n");
	printf("strtoul [123456]:%ld\n", strtoul("123456", &pointer, 8));
	PrintPointer(pointer);
	printf("strtoul [-123456]:%ld\n", strtoul("-123456", &pointer, 8));
	PrintPointer(pointer);
	printf("strtoul [0123456]:%ld\n", strtoul("0123456", &pointer, 8));
	PrintPointer(pointer);
	printf("strtoul [-0123456]:%ld\n", strtoul("-0123456", &pointer, 8));
	PrintPointer(pointer);
	printf("strtoul [0x123456]:%ld\n", strtoul("0x123456", &pointer, 8));
	PrintPointer(pointer);
	printf("strtoul [-0x123456]:%ld\n", strtoul("-0x123456", &pointer, 8));
	PrintPointer(pointer);
	printf("base = 16\n");
	printf("strtoul [123456]:%ld\n", strtoul("123456", &pointer, 16));
	PrintPointer(pointer);
	printf("strtoul [-123456]:%ld\n", strtoul("-123456", &pointer, 16));
	PrintPointer(pointer);
	printf("strtoul [0123456]:%ld\n", strtoul("0123456", &pointer, 16));
	PrintPointer(pointer);
	printf("strtoul [-0123456]:%ld\n", strtoul("-0123456", &pointer, 16));
	PrintPointer(pointer);
	printf("strtoul [0x123456]:%ld\n", strtoul("0x123456", &pointer, 16));
	PrintPointer(pointer);
	printf("strtoul [-0x123456]:%ld\n", strtoul("-0x123456", &pointer, 16));
	PrintPointer(pointer);
	printf("strtoul [0x80000000]:%ld\n", strtoul("0x80000000", &pointer, 16));
	PrintPointer(pointer);
	printf("strtoul [-0x80000000]:%ld\n", strtoul("-0x80000000", &pointer, 16));
	PrintPointer(pointer);
	printf("strtoul [0x81000000]:%ld\n", strtoul("0x81000000", &pointer, 16));
	PrintPointer(pointer);
	printf("strtoul [-0x81000000]:%ld\n", strtoul("-0x81000000", &pointer, 16));
	PrintPointer(pointer);

	printf("base = 10\n");
	printf("pafee_strtoul [123456]:%ld\n", pafee_strtoul("123456", &pointer, 10));
	PrintPointer(pointer);
	printf("pafee_strtoul [  123456]:%ld\n", pafee_strtoul("  123456", &pointer, 10));
	PrintPointer(pointer);
	printf("pafee_strtoul [  123456abc]:%ld\n", pafee_strtoul("  123456abc", &pointer, 10));
	PrintPointer(pointer);
	printf("pafee_strtoul [  123456789abc]:%ld\n", pafee_strtoul("  123456789abc", &pointer, 10));
	PrintPointer(pointer);
	printf("pafee_strtoul [  -123456789abc]:%ld\n", pafee_strtoul("  -123456789abc", &pointer, 10));
	PrintPointer(pointer);
	printf("pafee_strtoul [  1234567890123456abc]:%ld\n", pafee_strtoul("  1234567890123456abc", &pointer, 10));
	PrintPointer(pointer);
	printf("pafee_strtoul [  -1234567890123456abc]:%ld\n", pafee_strtoul("  -1234567890123456abc", &pointer, 10));
	PrintPointer(pointer);
	printf("pafee_strtoul [0123456789]:%ld\n", pafee_strtoul("0123456789", &pointer, 10));
	PrintPointer(pointer);
	printf("pafee_strtoul [-0123456789]:%ld\n", pafee_strtoul("-0123456789", &pointer, 10));
	PrintPointer(pointer);
	printf("pafee_strtoul [0x123456789]:%ld\n", pafee_strtoul("0x123456789", &pointer, 10));
	PrintPointer(pointer);
	printf("pafee_strtoul [-0x123456789]:%ld\n", pafee_strtoul("-0x123456789", &pointer, 10));
	PrintPointer(pointer);
	printf("base = 0\n");
	printf("pafee_strtoul [123456]:%ld\n", pafee_strtoul("123456", &pointer, 0));
	PrintPointer(pointer);
	printf("pafee_strtoul [-123456]:%ld\n", pafee_strtoul("-123456", &pointer, 0));
	PrintPointer(pointer);
	printf("pafee_strtoul [0123456]:%ld\n", pafee_strtoul("0123456", &pointer, 0));
	PrintPointer(pointer);
	printf("pafee_strtoul [-0123456]:%ld\n", pafee_strtoul("-0123456", &pointer, 0));
	PrintPointer(pointer);
	printf("pafee_strtoul [0x123456]:%ld\n", pafee_strtoul("0x123456", &pointer, 0));
	PrintPointer(pointer);
	printf("pafee_strtoul [-0x123456]:%ld\n", pafee_strtoul("-0x123456", &pointer, 0));
	PrintPointer(pointer);
	printf("base = 8\n");
	printf("pafee_strtoul [123456]:%ld\n", pafee_strtoul("123456", &pointer, 8));
	PrintPointer(pointer);
	printf("pafee_strtoul [-123456]:%ld\n", pafee_strtoul("-123456", &pointer, 8));
	PrintPointer(pointer);
	printf("pafee_strtoul [0123456]:%ld\n", pafee_strtoul("0123456", &pointer, 8));
	PrintPointer(pointer);
	printf("pafee_strtoul [-0123456]:%ld\n", pafee_strtoul("-0123456", &pointer, 8));
	PrintPointer(pointer);
	printf("pafee_strtoul [0x123456]:%ld\n", pafee_strtoul("0x123456", &pointer, 8));
	PrintPointer(pointer);
	printf("pafee_strtoul [-0x123456]:%ld\n", pafee_strtoul("-0x123456", &pointer, 8));
	PrintPointer(pointer);
	printf("base = 16\n");
	printf("pafee_strtoul [123456]:%ld\n", pafee_strtoul("123456", &pointer, 16));
	PrintPointer(pointer);
	printf("pafee_strtoul [-123456]:%ld\n", pafee_strtoul("-123456", &pointer, 16));
	PrintPointer(pointer);
	printf("pafee_strtoul [0123456]:%ld\n", pafee_strtoul("0123456", &pointer, 16));
	PrintPointer(pointer);
	printf("pafee_strtoul [-0123456]:%ld\n", pafee_strtoul("-0123456", &pointer, 16));
	PrintPointer(pointer);
	printf("pafee_strtoul [0x123456]:%ld\n", pafee_strtoul("0x123456", &pointer, 16));
	PrintPointer(pointer);
	printf("pafee_strtoul [-0x123456]:%ld\n", pafee_strtoul("-0x123456", &pointer, 16));
	PrintPointer(pointer);
	printf("pafee_strtoul [0x80000000]:%ld\n", pafee_strtoul("0x80000000", &pointer, 16));
	PrintPointer(pointer);
	printf("pafee_strtoul [-0x80000000]:%ld\n", pafee_strtoul("-0x80000000", &pointer, 16));
	PrintPointer(pointer);
	printf("pafee_strtoul [0x81000000]:%ld\n", pafee_strtoul("0x81000000", &pointer, 16));
	PrintPointer(pointer);
	printf("pafee_strtoul [-0x81000000]:%ld\n", pafee_strtoul("-0x81000000", &pointer, 16));
	PrintPointer(pointer);
#endif

}


static void PrintPointer(
	char *pointer
)
{
	if(pointer != NULL)
	{
		printf("    %s\n", pointer);
	}
	else
	{
		printf("    NULL");
	}
}
